MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024283Community[OCCT] OCCT:Data Exchangepublic2013-10-24 01:062013-12-19 14:00
Reporternikiml 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024283: STEP read failes to read unbound advanced_face
Descriptionwhen reading a sphere(any unbounded advanced_face)

RWStepShape_RWAdvancedFace::ReadStep()

throws because it tries to create an invalid array:
      aBounds = new StepShape_HArray1OfFaceBound (1, nb2);
with nb2 == 0
TagsNo tags attached.
Test case numberbugs step bug24283_1 bug24283_2
Attached Files? file icon spheres.STEP (9,519 bytes) 2013-10-24 01:06

- Relationships

-  Notes
(0027066)
gka (developer)
2013-12-04 10:54

Branch CR24283 is ready to be reviewed
(0027143)
abv (manager)
2013-12-10 10:17

No remarks, please test
(0027162)
apn (administrator)
2013-12-10 18:56

Dear BugMaster,

Branch CR24283 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: cdbee63c69062f343ba4885608c61653d189e21a

Number of compiler warnings:

occt component :
Linux: 103 (103 on master)
Windows: 0 (0 on master)

products component :
Linux: 21 (21 on master)
Windows: 8 (8 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
bugs step bug24283_1 - OK
bugs step bug24283_2 - OK

Testing on Linux:
Total MEMORY difference: 358854732 / 358965560
Total CPU difference: 43465.259999999944 / 67595.85000000008

Testing on Windows:
Total MEMORY difference: 413749196 / 413290704
Total CPU difference: 30419.671875 / 30600.359375

There are not differences in images found by testdiff.

- Related Changesets
occt: master 4efafd1f
Timestamp: 2013-12-04 06:47:40
Author: abv
Committer: abv
Details ] Diff ]
0024283: STEP read failes to read unbound advanced_face

Fix to avoid exception if sphere is written without bounds.
mod - src/RWStepShape/RWStepShape_RWAdvancedFace.cxx Diff ] File ]
add - tests/bugs/step/bug24283_1 Diff ] File ]
add - tests/bugs/step/bug24283_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-10-24 01:06 nikiml New Issue
2013-10-24 01:06 nikiml Assigned To => gka
2013-10-24 01:06 nikiml File Added: spheres.STEP
2013-12-04 10:54 gka Note Added: 0027066
2013-12-04 10:54 gka Assigned To gka => abv
2013-12-04 10:54 gka Status new => resolved
2013-12-10 10:17 abv Note Added: 0027143
2013-12-10 10:17 abv Assigned To abv => bugmaster
2013-12-10 10:17 abv Status resolved => reviewed
2013-12-10 11:14 apn Assigned To bugmaster => apn
2013-12-10 18:56 apn Note Added: 0027162
2013-12-10 18:57 apn Test case number => bugs step bug24283_1 bug24283_2
2013-12-10 18:57 apn Assigned To apn => bugmaster
2013-12-10 18:57 apn Status reviewed => tested
2013-12-10 18:57 apn Target Version => 6.7.0
2013-12-13 14:09 abv Changeset attached => occt master 4efafd1f
2013-12-13 14:09 abv Assigned To bugmaster => abv
2013-12-13 14:09 abv Status tested => verified
2013-12-13 14:09 abv Resolution open => fixed
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 14:00 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker